package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_billingRepository;
import com.realnet.vpspack.Entity.Visa_billing
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Visa_billingService {
@Autowired
private Visa_billingRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Visa_billing Savedata(Visa_billing data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_billing save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_billing> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_billing> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_billing> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_billing getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_billing update(Visa_billing data,Integer id) {
	Visa_billing old = Repository.findById(id).get();
old.setVisa_entry_type(data.getVisa_entry_type());

final Visa_billing test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
